Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::TreeViewSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::TreeView. More...

`#include <xfc/gtk/treeviewsignals.hh>`

Inheritance diagram for Xfc::Gtk::TreeViewSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_set_scroll_adjustments (Adjustment *hadjustment, Adjustment *vadjustment)
    Called when a tree view is added to a scrolling aware parent.
- virtual void on_row_activated (const TreePath &path, TreeViewColumn &column)
    Called when the cell determined by path and column is activated.
- virtual bool on_test_expand_row (const TreeIter &iter, const TreePath &path)
    Called to determine if the row identified by iter and path has child rows and can be opened.
- virtual bool on_test_collapse_row (const TreeIter &iter, const TreePath &path)
    Called to determine if the row identified by iter and path has child rows that are visible and can be collapsed.
- virtual void on_row_expanded (const TreeIter &iter, const TreePath &path)
    Called when the row determined by iter and path is opened so its children are visible.
- virtual void on_row_collapsed (const TreeIter &iter, const TreePath &path)
    Called when the row determined by iter and path is collapsed to hide its child rows.
- virtual void on_columns_changed ()
    Called whenever the order or number of columns in the tree view changes.
- virtual void on_cursor_changed ()
    Called whenever the current keyboard focus changes.

## Protected Member Functions

Constructors

- TreeViewSignals (TreeView *tree_view)
    Constructs a new TreeViewSignals object.
- virtual ~TreeViewSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::TreeView.

## Constructor & Destructor Documentation

Xfc::Gtk::TreeViewSignals::TreeViewSignals | ( | TreeView * | tree_view | ) | `[protected]`

Constructs a new TreeViewSignals object.

Parameters:

  | tree_view | A TreeView object inheriting the TreeViewSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::TreeViewSignals::on_row_activated | ( | const TreePath & | path,
|  | TreeViewColumn & | column
| ) | `[virtual]`

Called when the cell determined by path and column is activated.

Parameters:

  | path | The TreePath being activated.
  | column | The TreeViewColumn being activated.

virtual void Xfc::Gtk::TreeViewSignals::on_row_collapsed | ( | const TreeIter & | iter,
|  | const TreePath & | path
| ) | `[virtual]`

Called when the row determined by iter and path is collapsed to hide its child rows.

Parameters:

  | iter | A valid iterator pointing to path.
  | path | The path to the row being collapsed.

virtual void Xfc::Gtk::TreeViewSignals::on_row_expanded | ( | const TreeIter & | iter,
|  | const TreePath & | path
| ) | `[virtual]`

Called when the row determined by iter and path is opened so its children are visible.

Parameters:

  | iter | A valid iterator pointing to path.
  | path | The path to the row being expanded.

virtual void Xfc::Gtk::TreeViewSignals::on_set_scroll_adjustments | ( | Adjustment * | hadjustment,
|  | Adjustment * | vadjustment
| ) | `[virtual]`

Called when a tree view is added to a scrolling aware parent.

Parameters:

  | hadjustment | The horizontal adjustment.
  | vadjustment | The vertical adjustment.

virtual bool Xfc::Gtk::TreeViewSignals::on_test_collapse_row | ( | const TreeIter & | iter,
|  | const TreePath & | path
| ) | `[virtual]`

Called to determine if the row identified by iter and path has child rows that are visible and can be collapsed.

Parameters:

  | iter | A valid iterator pointing to path.
  | path | The path to the row being checked.

Returns:
  true if the row has child rows that are visible and can be collapsed.

virtual bool Xfc::Gtk::TreeViewSignals::on_test_expand_row | ( | const TreeIter & | iter,
|  | const TreePath & | path
| ) | `[virtual]`

Called to determine if the row identified by iter and path has child rows and can be opened.

Parameters:

  | iter | A valid iterator pointing to path.
  | path | The path to the row being checked.

Returns:
  true if the row has chil rows and can be expanded.

The documentation for this class was generated from the following file:

- treeviewsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3